Gtk_Editable(3)

NAME - Gtk_Editable
Abstract class for objects that user can edit.

HEADER REQUIRED
#include <gtk--/editable.h&gt;>

BASE CLASSES
Gtk_Widget(3)

DERIVED BY
Gtk_Entry(3) Gtk_Text(3)

PROPERTIES

current_pos
    Type: guint

selection_start_pos
    Type: guint

selection_end_pos
    Type: guint

has_selection
    Type: guint:1

editable
    Type: guint:1

ic
    Type: GdkIC*

ic_attr
    Type: GdkICAttr*

clipboard_text
    Type: string

     .IP

PUBLIC MEMBER INDEX
    signal void  changed(BaseObjectType);
    signal void  activate(BaseObjectType);
    signal void  insert_text(const gchar*, gint, gint*);
    signal void  delete_text(gint, gint);
    signal void  set_editable(gboolean);
    signal void  move_cursor(gint, gint);
    signal void  move_word(gint);
    signal void  move_page(gint, gint);
    signal void  move_to_row(gint);
    signal void  move_to_column(gint);
    signal void  kill_char(gint);
    signal void  kill_word(gint);
    signal void  kill_line(gint);
    signal void  cut_clipboard(BaseObjectType);
    signal void  copy_clipboard(BaseObjectType);
    signal void  paste_clipboard(BaseObjectType);
    Gtk_Editable();
    Gtk_Editable(GtkEditable *castitem);
    void  select_region(gint start, gint end);
    gint  get_position() const;
    string  get_chars(gint start_pos, gint end_pos) const;
    void  claim_selection(gboolean claim, guint32 time);
    void  delete_selection();
    GtkEditable*  gtkobj();
    const GtkEditable*  gtkobj() const;
    static bool  isGtkEditable(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkEditable  BaseObjectType;
    typedef GtkEditableClass  BaseClassType;
    virtual void * get_parent_class();
    virtual void  changed_impl();
    virtual void  activate_impl();
    virtual void  insert_text_impl(const gchar* p1, gint p2, gint* p3);
    virtual void  delete_text_impl(gint p1, gint p2);
    virtual void  set_editable_impl(gboolean p1);
    virtual void  move_cursor_impl(gint p1, gint p2);
    virtual void  move_word_impl(gint p1);
    virtual void  move_page_impl(gint p1, gint p2);
    virtual void  move_to_row_impl(gint p1);
    virtual void  move_to_column_impl(gint p1);
    virtual void  kill_char_impl(gint p1);
    virtual void  kill_word_impl(gint p1);
    virtual void  kill_line_impl(gint p1);
    virtual void  cut_clipboard_impl();
    virtual void  copy_clipboard_impl();
    virtual void  paste_clipboard_impl();
    virtual void  update_text_impl(gint p1, gint p2);
    virtual gchar*  get_chars_impl(gint p1, gint p2);
    virtual void  set_selection_impl(gint p1, gint p2);
    virtual void  set_position_impl(gint p1);

PRIVATE MEMBER INDEX
    static CppClassType  editable_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS